summaryrefslogtreecommitdiff
path: root/config/rofi/applets/bin/brightness.sh
diff options
context:
space:
mode:
Diffstat (limited to 'config/rofi/applets/bin/brightness.sh')
-rwxr-xr-xconfig/rofi/applets/bin/brightness.sh107
1 files changed, 107 insertions, 0 deletions
diff --git a/config/rofi/applets/bin/brightness.sh b/config/rofi/applets/bin/brightness.sh
new file mode 100755
index 0000000..2c90a12
--- /dev/null
+++ b/config/rofi/applets/bin/brightness.sh
@@ -0,0 +1,107 @@
+#!/usr/bin/env bash
+
+## Author : Aditya Shakya (adi1090x)
+## Github : @adi1090x
+#
+## Applets : Brightness
+
+# Import Current Theme
+source "$HOME"/.config/rofi/applets/shared/theme.bash
+theme="$type/$style"
+
+# Brightness Info
+backlight="$(printf "%.0f\n" `light -G`)"
+card="`light -L | grep 'backlight' | head -n1 | cut -d'/' -f3`"
+
+if [[ $backlight -ge 0 ]] && [[ $backlight -le 29 ]]; then
+ level="Low"
+elif [[ $backlight -ge 30 ]] && [[ $backlight -le 49 ]]; then
+ level="Optimal"
+elif [[ $backlight -ge 50 ]] && [[ $backlight -le 69 ]]; then
+ level="High"
+elif [[ $backlight -ge 70 ]] && [[ $backlight -le 100 ]]; then
+ level="Peak"
+fi
+
+# Theme Elements
+prompt="${backlight}%"
+mesg="Device: ${card}, Level: $level"
+
+if [[ "$theme" == *'type-1'* ]]; then
+ list_col='1'
+ list_row='4'
+ win_width='400px'
+elif [[ "$theme" == *'type-3'* ]]; then
+ list_col='1'
+ list_row='4'
+ win_width='120px'
+elif [[ "$theme" == *'type-5'* ]]; then
+ list_col='1'
+ list_row='4'
+ win_width='425px'
+elif [[ ( "$theme" == *'type-2'* ) || ( "$theme" == *'type-4'* ) ]]; then
+ list_col='4'
+ list_row='1'
+ win_width='550px'
+fi
+
+# Options
+layout=`cat ${theme} | grep 'USE_ICON' | cut -d'=' -f2`
+if [[ "$layout" == 'NO' ]]; then
+ option_1=" Increase"
+ option_2=" Optimal"
+ option_3=" Decrease"
+ option_4=" Settings"
+else
+ option_1=""
+ option_2=""
+ option_3=""
+ option_4=""
+fi
+
+# Rofi CMD
+rofi_cmd() {
+ rofi -theme-str "window {width: $win_width;}" \
+ -theme-str "listview {columns: $list_col; lines: $list_row;}" \
+ -theme-str 'textbox-prompt-colon {str: "";}' \
+ -dmenu \
+ -p "$prompt" \
+ -mesg "$mesg" \
+ -markup-rows \
+ -theme ${theme}
+}
+
+# Pass variables to rofi dmenu
+run_rofi() {
+ echo -e "$option_1\n$option_2\n$option_3\n$option_4" | rofi_cmd
+}
+
+# Execute Command
+run_cmd() {
+ if [[ "$1" == '--opt1' ]]; then
+ light -A 5
+ elif [[ "$1" == '--opt2' ]]; then
+ light -S 25
+ elif [[ "$1" == '--opt3' ]]; then
+ light -U 5
+ elif [[ "$1" == '--opt4' ]]; then
+ xfce4-power-manager-settings
+ fi
+}
+
+# Actions
+chosen="$(run_rofi)"
+case ${chosen} in
+ $option_1)
+ run_cmd --opt1
+ ;;
+ $option_2)
+ run_cmd --opt2
+ ;;
+ $option_3)
+ run_cmd --opt3
+ ;;
+ $option_4)
+ run_cmd --opt4
+ ;;
+esac